import { WithId } from "../../../../../fd-toolbox-core/types/resource-with-id";
import { PropertyMeta } from "../../../core/property-meta";
import { UiPropertyMeta } from "../../../core/ui-property-meta";
import { ResourceMeta } from "../../../core/resource-meta";
export declare function isColorful(propertyMeta: PropertyMeta, uiPropertyMeta: UiPropertyMeta): boolean;
export declare function isExpandProperty(propertyMeta: PropertyMeta): boolean;
export declare function isDescriptionProperty(resourceMeta: ResourceMeta, name: string): boolean;
export declare function getBackgroundColorClassName(name: string, resource: WithId): string;
export declare function getRelatedResourceImageUrl(resource: WithId, propertyMeta: PropertyMeta): any;
export declare function onViewClick(resourceTitle: string, resourceMetaId: string): void;
